## org.hibernate.envers.query.criteria
Class AuditRelatedId

    java.lang.Object
      org.hibernate.envers.query.criteria.AuditRelatedId

    public class AuditRelatedId

extends Object

Create restrictions on an id of an entity related to an audited entity.

Constructor Summary
`AuditRelatedId(PropertyNameGetter propertyNameGetter)`

Method Summary
`AuditCriterion` `eq(Object id)` Apply an "equal" constraint
`AuditCriterion` `ne(Object id)` Apply a "not equal" constraint

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditRelatedId

    public AuditRelatedId(PropertyNameGetter propertyNameGetter)

Method Detail

### eq

    public AuditCriterion eq(Object id)

  Apply an "equal" constraint

### ne

    public AuditCriterion ne(Object id)

  Apply a "not equal" constraint

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.